

import java.io.IOException;
import java.util.Date;


public class UploadFileTest {

	public static void main(String[] args) throws IOException {
		String dbName = "Sample" + new Date().getTime();
		System.out.println("creating new database based on imported dataset");
		executeQuery(String.format("create database %s \"%s\"", dbName,
				"factbook.xml"));
		System.out.println("Factbook has been imported.");
	}

	private static String executeQuery(String query) throws IOException {
		System.out.println("Executing query: " + query);
		BaseXClient client = new BaseXClient("localhost", 41984, "admin", "admin");
		return client.execute(query);
	}
}
